Set the encryption method of an entry defined by its index

- « ZipArchive::setCompressionName

- ZipArchive::setEncryptionName »

- PHP Manual
- ZipArchive
- Set the encryption method of an entry defined by its index

# ZipArchive::setEncryptionIndex

(PHP >= 7.2.0, PHP 8, PECL zip >= 1.14.0)

ZipArchive::setEncryptionIndex — Set the encryption method of an entry defined by its index

### Description

public ZipArchive::setEncryptionIndex(int `$index`, int `$method`, ?string `$password` = `null`): bool

Set the encryption method of an entry defined by its index.

### Parameters

`index`

  Index of the entry.

`method`

  The encryption method defined by one of the ZipArchive::EM_ constants.

`password`

  Optional password, default used when missing.

### Return Values

Returns `true` on success or `false` on failure.

### Changelog

Version | Description
--- | ---
8.0.0 | `password` is now nullable.

### Notes

> Note:

> This function is only available if built against libzip ≥ 1.2.0.

### See Also

- ZipArchive::setPassword() - Set the password for the active archive
- ZipArchive::setEncryptionName() - Set the encryption method of an entry defined by its name